MRCAL(1)

NAME
mrcal-show-model-resolution - Display the imager resolution for a given model

SYNOPSIS
  $ mrcal-show-model-resolution camera.cameramodel
  ... a plot pops up showing the resolution of the imager in degrees/pixel

DESCRIPTION
The angular resolution of an image varies dramatically from lens to lens and also over the image. This tool visualizes this behavior.

OPTIONS

  POSITIONAL ARGUMENTS
  model                 The model to visualize

  OPTIONAL ARGUMENTS
  -h, --help            show this help message and exit
  --gridn GRIDN GRIDN   How densely we should sample the imager. By default we
                        use a 60x40 grid
  --cbmin CBMIN         Minimum range of the colorbar. Autoscaling by default
  --cbmax CBMAX         Maximum range of the colorbar. Autoscaling by default
  --mode {min,max,mean,eccentricity}
                        The resolution varies in different observation
                        directions. This selects the min or max or mean
                        resolution. "eccentricity" reports max/min. The
                        default is "mean"
  --title TITLE         Title string for the plot
  --hardcopy HARDCOPY   Write the output to disk, instead of making an
                        interactive plot
  --terminal TERMINAL   gnuplotlib terminal. The default is good almost
                        always, so most people don't need this option
  --set SET             Extra 'set' directives to gnuplotlib. Can be given
                        multiple times
  --unset UNSET         Extra 'unset' directives to gnuplotlib. Can be given
                        multiple times

REPOSITORY
<https://www.github.com/dkogan/mrcal>

AUTHOR
Dima Kogan, "<dima@secretsauce.net>"

LICENSE AND COPYRIGHT
Copyright (c) 2017-2023 California Institute of Technology ("Caltech"). U.S. Government sponsorship acknowledged. All rights reserved.

Licensed under the Apache License, Version 2.0 (the "License"); You may obtain a copy of the License at

    http://www.apache.org/licenses/LICENSE-2.0